{% extends "consensus_base/base_dashboard.html" %}
{% load i18n %}
{% load consensus %}
{% block title %}Consensus{% endblock %}

{% block main-h1 %}
{% trans 'Invitations' %}
{% endblock main-h1 %}

{% block main %}

{% if paginated_items|length > 0 %}
<table class="table table-hover">
<thead>
<tr>
<th scope="col">{% trans 'Poll' %}</th>
<th scope="col">{% trans 'Invited by' %}</th>
<th scope="col">{% trans 'Date' %}</th>
<th scope="col"></th>
</tr>
</thead>
<tbody>

{% for i in paginated_items %}
<tr>
<td scope="row"><a href="{% url 'consensus_base:invitation' i.token %}">{{ i.poll.title }}</a></td>
<td scope="row">{{ i.created_by_username}}</td>
<td scope="row">{{ i.sentdate }}</td>
<td scope="row">
    <a class="btn-xs btn-link" href="{% url 'consensus_base:invitation_action' i.token 'accept' %}?next_page={% url 'consensus_base:poll' i.poll.slug %}">{% trans 'accept' %}</a> |
    <a class="btn-xs btn-link" href="{% url 'consensus_base:invitation_action' i.token 'decline' %}?next_page={% url 'consensus_base:invitations' %}">{% trans 'decline' %}</a>
</td>
</tr>
{% endfor %}

</tbody>
</table>

{% include "consensus_base/paginator.html" %}
{% else %}
<p>{% trans 'No pending invitations' %}</p>
{% endif %}

{% endblock main %}
